# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kyomu"
version = "0.2.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Allows recursive reflection of types and mapping runtime values to that recursive struct."
readme = "README.md"
license = "MIT OR Apache-2.0"

[lib]
name = "kyomu"
path = "src/lib.rs"

[[example]]
name = "dbg"
path = "examples/dbg.rs"

[[example]]
name = "default"
path = "examples/default.rs"

[[test]]
name = "arrays"
path = "tests/arrays.rs"

[[test]]
name = "complex"
path = "tests/complex.rs"

[[test]]
name = "dyn"
path = "tests/dyn.rs"

[[test]]
name = "primitives"
path = "tests/primitives.rs"

[[test]]
name = "slice"
path = "tests/slice.rs"

[[test]]
name = "tuples"
path = "tests/tuples.rs"

[dependencies]

[profile.release]
debug = 2
